gi-glib-2.0.30: GLib bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GLib.Structs.TestLogBuffer

Contents

- Exported types
- Methods
  - free
  - push

Description

No description available in the introspection data.

Synopsis

- newtype TestLogBuffer = TestLogBuffer (ManagedPtr TestLogBuffer)
- newZeroTestLogBuffer :: MonadIO m => m TestLogBuffer
- testLogBufferFree :: (HasCallStack, MonadIO m) => TestLogBuffer -> m ()
- testLogBufferPush :: (HasCallStack, MonadIO m) => TestLogBuffer -> Word32 -> Word8 -> m ()

# Exported types

newtype TestLogBuffer Source #

Memory-managed wrapper type.

Constructors

TestLogBuffer (ManagedPtr TestLogBuffer) |

#### Instances

Instances details

Eq TestLogBuffer Source # |
Instance details Defined in GI.GLib.Structs.TestLogBuffer Methods (==) :: TestLogBuffer -> TestLogBuffer -> Bool Source # (/=) :: TestLogBuffer -> TestLogBuffer -> Bool Source #
BoxedPtr TestLogBuffer Source # |
Instance details Defined in GI.GLib.Structs.TestLogBuffer Methods boxedPtrCopy :: TestLogBuffer -> IO TestLogBuffer Source # boxedPtrFree :: TestLogBuffer -> IO () Source #
CallocPtr TestLogBuffer Source # |
Instance details Defined in GI.GLib.Structs.TestLogBuffer Methods boxedPtrCalloc :: IO (Ptr TestLogBuffer) Source #
ManagedPtrNewtype TestLogBuffer Source # |
Instance details Defined in GI.GLib.Structs.TestLogBuffer Methods toManagedPtr :: TestLogBuffer -> ManagedPtr TestLogBuffer Source #
tag ~ 'AttrSet => Constructible TestLogBuffer tag Source # |
Instance details Defined in GI.GLib.Structs.TestLogBuffer Methods new :: MonadIO m => (ManagedPtr TestLogBuffer -> TestLogBuffer) -> [AttrOp TestLogBuffer tag] -> m TestLogBuffer Source #

newZeroTestLogBuffer :: MonadIO m => m TestLogBuffer Source #

Construct a `TestLogBuffer` struct initialized to zero.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

free, push.

#### Getters

None.

#### Setters

None.

## free

testLogBufferFree :: (HasCallStack, MonadIO m) => TestLogBuffer -> m () Source #

Internal function for gtester to free test log messages, no ABI guarantees provided.

## push

testLogBufferPush :: (HasCallStack, MonadIO m) => TestLogBuffer -> Word32 -> Word8 -> m () Source #

Internal function for gtester to decode test log messages, no ABI guarantees provided.